r622 - /branches/experimental/boinc/debian/boinc-server.postinst
fst-guest at users.alioth.debian.org
fst-guest at users.alioth.debian.org
Wed Apr 11 10:24:29 UTC 2007
Author: fst-guest
Date: Wed Apr 11 10:24:29 2007
New Revision: 622
URL: http://svn.debian.org/wsvn/pkg-boinc/?sc=1&rev=622
Log:
Create common group (boincadm) for BOINC projects.
Added:
branches/experimental/boinc/debian/boinc-server.postinst
Added: branches/experimental/boinc/debian/boinc-server.postinst
URL: http://svn.debian.org/wsvn/pkg-boinc/branches/experimental/boinc/debian/boinc-server.postinst?rev=622&op=file
==============================================================================
--- branches/experimental/boinc/debian/boinc-server.postinst (added)
+++ branches/experimental/boinc/debian/boinc-server.postinst Wed Apr 11 10:24:29 2007
@@ -1,0 +1,25 @@
+#!/bin/sh
+# postinst script for boinc-server
+
+set -e
+
+case "$1" in
+ configure)
+ # Create boincadm group if it doesn't already exist.
+ if ! getent group boincadm >/dev/null; then
+ addgroup --quiet --system boincadm
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
More information about the pkg-boinc-commits
mailing list